<?php

## This is the actual working code to restrict access based on Login
## For any restricted access group in your pmwiki site, you can add
## Group specific PHP code simply by naming a file the same as the Group
## with a .php ending, and saving it to the pmwiki/local folder

## So, this file Verfified.php, when saved in the /local folder 
## Sends anyone not Logged in at the right level, to the 
## Portcullis/NoAuth page.  

## For more information on Groups in PMWiki:
## https://www.pmwiki.org/wiki/PmWiki/GroupCustomizations

## !!! Be sure you have set everything in the setup.php file !!!
##     If you have you only need to change the $ALevel if statement.

// First we get the Logged-in Authorization Level from a Session variable:
    $ALevel = $_SESSION['AuthLevel'];

// If there isn't one, send them to the Login Page:
// If your login page is in a different directory you need to edit this:    
    if($ALevel=="")
    {  header("Location: $ScriptUrl/Portcullis/Portcullis"); }   

// If there is an Auth-Level we decide what to do based on the Level
// Here I just set Admin or Manage or Read all have page access,
// everyone else gets a, "You do not have sufficient Authorization."     

	if($ALevel=="Admin" || $ALevel=="Manage" || $ALevel=="Read")
    {     
    	/*
			You might add code here to sort by Level if you want
    	*/
	}
	else{ header("Location: $ScriptUrl".$NoAuthPage ); } 
	// Don't forget to build your NoAuth page so this works!


?>    